package com.xinelu.manage.domain.wechattemplate;

import com.xinelu.common.annotation.Excel;
import com.xinelu.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 微信模板信息对象 wechat_template
 *
 * @author xinelu
 * @date 2024-02-27
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "微信模板信息对象", description = "wechat_template")
public class WechatTemplate extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    private Long id;

    /**
     * 所属科室id
     */
    @ApiModelProperty(value = "所属科室id")
    @Excel(name = "所属科室id")
    private Long departmentId;

    /**
     * 所属科室名称
     */
    @ApiModelProperty(value = "所属科室名称")
    @Excel(name = "所属科室名称")
    private String departmentName;

    /**
     * 病种id
     */
    @ApiModelProperty(value = "病种id")
    @Excel(name = "病种id")
    private Long diseaseTypeId;

    /**
     * 病种名称
     */
    @ApiModelProperty(value = "病种名称")
    @Excel(name = "病种名称")
    private String diseaseTypeName;

    /**
     * 模板名称
     */
    @ApiModelProperty(value = "模板名称")
    @Excel(name = "模板名称")
    private String wechatTemplateName;

    /**
     * 模板ID
     */
    @ApiModelProperty(value = "模板ID")
    @Excel(name = "模板ID")
    private String templateId;

    /**
     * 模板内容
     */
    @ApiModelProperty(value = "模板内容")
    @Excel(name = "模板内容")
    private String templateContent;

    /**
     * 模板来源，小程序：WE_CHAT_APPLET，公众号：WE_CHAT_OFFICIAL_ACCOUNT
     */
    @ApiModelProperty(value = "模板来源，小程序：WE_CHAT_APPLET，公众号：WE_CHAT_OFFICIAL_ACCOUNT")
    @Excel(name = "模板来源，小程序：WE_CHAT_APPLET，公众号：WE_CHAT_OFFICIAL_ACCOUNT")
    private String templateSource;

    /**
     * 模板顺序
     */
    @ApiModelProperty(value = "模板顺序")
    @Excel(name = "模板顺序")
    private Integer templateSort;

    /**
     * 模板备注
     */
    @ApiModelProperty(value = "模板备注")
    @Excel(name = "模板备注")
    private String templateRemark;

	private Long sourceTemplateId;

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("departmentId", getDepartmentId())
                .append("departmentName", getDepartmentName())
                .append("diseaseTypeId", getDiseaseTypeId())
                .append("diseaseTypeName", getDiseaseTypeName())
                .append("wechatTemplateName", getWechatTemplateName())
                .append("templateId", getTemplateId())
                .append("templateContent", getTemplateContent())
                .append("templateSource", getTemplateSource())
                .append("templateSort", getTemplateSort())
                .append("templateRemark", getTemplateRemark())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .toString();
    }
}
